export default class AsyncIteratorFromCB<T> implements AsyncIterable<T> {
    #private;
    constructor();
    onClose(callback: () => void): void;
    getCallback(): (error: Error | undefined, data: T | undefined) => void;
    send(data: T): void;
    close(): void;
    [Symbol.asyncIterator](): {
        next(): Promise<{
            done: boolean;
            value: any;
        }>;
    };
}
